#	@(#)dinit.mk	35.1 
# 
#		Copyright (c) 1986,1987 Motorola Inc.
#		All Rights Reserved
#
#


OL =
TESTDIR = .
ETC = $(OL)/etc
INSU = /etc/install -f $(ETC)
CFLAGS = -O 
LDFLAGS = -s

compile all:	dinit

dinit:	dinit.o alts.o badtrk.o diag.o fmt.o mkslice.o readhead.o writhead.o
	$(CC) -o $(TESTDIR)/dinit $(LDFLAGS) dinit.o alts.o badtrk.o\
		diag.o fmt.o mkslice.o readhead.o writhead.o -lld

dinit.o: dinit.c dinit.h
	$(CC) $(CFLAGS) -c dinit.c

alts.o: alts.c dinit.h
	$(CC) $(CFLAGS) -c alts.c

badtrk.o: badtrk.c dinit.h
	$(CC) $(CFLAGS) -c badtrk.c

diag.o: diag.c dinit.h
	$(CC) $(CFLAGS) -c diag.c

fmt.o: fmt.c dinit.h
	$(CC) $(CFLAGS) -c fmt.c

mkslice.o: mkslice.c dinit.h
	$(CC) $(CFLAGS) -c mkslice.c

readhead.o: readhead.c dinit.h
	$(CC) $(CFLAGS) -c readhead.c

writhead.o: writhead.c dinit.h
	$(CC) $(CFLAGS) -c writhead.c

install:	all
	$(INSU) $(TESTDIR)/dinit

clean:
	-rm -f *.o

clobber: clean
	-rm -f $(TESTDIR)/dinit
