

/*****************************************************************************

	Rev = 1.1		Date of 'get'   = 09:32:09 1/6/89
				Date of 'delta' = 09:30:56 1/6/89

	File = tapeheader.h

*****************************************************************************/



/****************************************************************************
 *
 *	This file contains the format of the tape header used in the 
 *	COPY / RESTORE commands in the ME252 RTM.
 *
 *	Date: 30/6/88		Author: M. Woods
 *
 ****************************************************************************/



struct tape_header {
	char sof_rel[30];	/* Software release information */
	char dump_info[30];	/* Dump information */
	long tape_no;		/* Tape number */
	long tape_seq;		/* Total number of tapes involved in dump */
	long disk_addr;		/* Disk address to start dumping to */
	long no_sectors;	/* Number of sectors on tape */
	char unused[436];
};
