static	char ident[] = "@(#)ce_reset.c	35.1		8/31/87	Copyright MOTOROLA, INC.";
/*
**	This program registers with the CE and then makes
**	the requested ioctl call
*/
#include <stdio.h>
#include <errno.h>
#include <sys/c37x/ci_driver.h>

main(argc, argv)
int argc;
char **argv;
{
	extern int errno;

	unsigned long src_id;
	unsigned long cpu;
	char	*cvterr;	/* conversion error */
	int fd;
	int n;

	/*
	**	Get and convert destination CPU and create
	**	destination ID.
	*/

	if (argc != 1)
	{
		if (argc == 2)
		{
			cpu = strtol(argv[1], &cvterr, 0);

			if (*cvterr != NULL)
			{
				fprintf(stderr, "%s: Unable to convert destination CPU number\n", argv[0]);
				exit(1);
			}
		}
		else
		{
			fprintf(stderr, "Usage: %s dst_cpu\n\n", argv[0]);
			exit(1);
		}
	}
	else
		cpu = 2;

	src_id = 0;

	if ((n = ci_register(cpu, &src_id, &fd)) != 0)
	{
		fprintf(stderr, "%s: unable to open and register with device, errno = %d\n", argv[0], errno);
		exit(1);
	}

	if ((n = ioctl(fd, RESET, 0)) < 0)
		fprintf(stderr, "%s: ioctl error, errno = %d\n", argv[0], errno);

	/* deregister */

	ci_deregister(src_id, fd);

	exit(0);
}
