#ident "@(#)macstat.mk	35.1"

TESTDIR = .
ROOT=
INCRT = $(ROOT)/usr/include
INSDIR = $(ROOT)/usr/bin
DFLAGS = -DCOMMON_INTERFACE
CFLAGS = -O 
LDFLAGS = -s 
INS=cpset
LIBS=-lci -lcurses
FRC =

OBJECTS = print.o init.o main.o

all:	macstat 

.c.o:
	$(CC) -c $(CFLAGS) $(DFLAGS) $<

macstat: 	$(OBJECTS)
	$(CC) $(LDFLAGS) -o macstat  $(OBJECTS) $(LIBS)

main.o:		$(INCRT)/term.h	\
		$(INCRT)/curses.h	\
		$(INCRT)/stdio.h	\
		$(INCRT)/sys/c37x/ci_driver.h	\
		$(INCRT)/sys/osi/common/types.h    	\
               	$(INCRT)/sys/osi/common/selsizes.h    	\
               	$(INCRT)/sys/osi/common/system.h    	\
               	$(INCRT)/sys/osi/common/bdb.h    	\
               	$(INCRT)/sys/osi/common/epb.h    	\
               	$(INCRT)/sys/osi/common/ma_epb.h    	\
               	$(INCRT)/sys/osi/common/sm_epb.h

init.o:		$(INCRT)/sys/osi/common/types.h	\
		$(INCRT)/sys/c37x/ci_driver.h	\
		$(INCRT)/term.h	\
		$(INCRT)/curses.h	\
		$(INCRT)/stdio.h	\
		$(INCRT)/signal.h

print.o:	$(INCRT)/sys/c37x/ci_driver.h	\
		$(INCRT)/sys/osi/common/types.h    	\
               	$(INCRT)/sys/osi/common/selsizes.h    	\
               	$(INCRT)/sys/osi/common/system.h    	\
               	$(INCRT)/sys/osi/common/sm_epb.h	\
		$(INCRT)/time.h	\
		$(INCRT)/stdio.h

install: all
	$(INS) macstat $(INSDIR) 755 bin bin

clean:
	-rm -f $(OBJECTS)

clobber: clean
	-rm -f $(TESTDIR)/macstat 

FRC:
