static	char ident[] = "@(#)string.c	35.1		5/18/88	Copyright MOTOROLA, INC.";

/*MH************************ MODULE HEADER ****************************
**
**  MODULE NAME:	string.c
**
**  DESCRIPTION: 	All the strings printed by NVRAM
**
**  CONTENTS:		
**
**  SYSTEM GLOBALS:
**
**  MODULE GLOBALS:
**
**  NOTES:
**
**********************************************************************/

#include <sys/osi/common/types.h>

BYTE *exit_menu = "Do you wish to:\n\n        A. Permanently save the edited NVRAM values in the NVRAM only.\n           Power-up will restore the NVRAM to EEPROM values.\n\n        B. Permanently save the edited NVRAM values in both the NVRAM\n           and in the EEPROM.\n\n        C. Leave NVRAM values unchanged.";

BYTE *nvram_done = "\n\n      NVRAM values changed as edited but not permanently stored in EEPROM.\n              EEPROM values will be restored to NVRAM on power-up.\n";

BYTE *eeprom_done = "\n\n  Current NVRAM values permanently saved in both the NVRAM and in the EEPROM.\n";

BYTE *unchanged = "\n\n                            NVRAM values unchanged.\n";

BYTE *ndx_prompt = "\nEnter (in decimal) the nybble offset of the field:  ==> ";

BYTE *len_prompt = "\nEnter (in decimal) the byte length of the field:  ==> ";

BYTE *bad_ndx = "Unable to convert offset to decimal value.\n";
BYTE *ndx_too_large = "Offset is too large, will cause field to extend out of NVRAM.\n";

BYTE *bad_len = "Unable to convert length to decimal value.\n";

BYTE *bad_ndx_len = "Offset and length cause field to extend out of NVRAM.\n";

BYTE *all_header = "                              Current NVRAM\n\n                          Hexadecimal Nibble Values\n  Nibble  0                   1                   2\n  Offset  0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9\n  ======  ===========================================================\n";

BYTE *field_hdr = "     Field    Field              Nibble   Byte        Current\n     #        Name               Offset  Length        Value\n     == ====================     ======  ======      ==============\n";

BYTE *unspec_hdr = "\n                       Nibble   Byte        Current\n                       Offset  Length       Value\n                       ======  ======  ==================\n";

BYTE *exit_hdr = "                            NVRAM/EEPROM Store Menu\n";
BYTE *nvram_hdr = "                                  Current NVRAM\n\n\n";


BYTE *menu_prompt = "Enter:     Field #    (Specified Field)\n             'U'      (Unspecified Field)\n             'Q'      (Quit)                  ==> ";

BYTE *bad_val = "Invalid field value, wrong number digits or invalid digit.\n";

BYTE *field_val1 = "\nThis is the current value for the requested field.\nEnter the new value in hexadecimal.\nThe leading '0x' is optional.  All ";

BYTE *field_val2 = " digits must be entered.\n\n        ==> ";
