#	Copyright (c) 1987 Motorola Inc
#	All Rights Reserved
#		@(#)port_hold.mk	35.1
#
ROOT=
BIN=		$(ROOT)/local/bin
CFLAGS=		-O
LDFLAGS=	-s
INC=		$(ROOT)/usr/include
LIB=		$(ROOT)/lib/libc.a
TARGETS=	port_hold
OBJECTS=	port_hold.o
ALL=		$(TARGETS) $(OBJECTS)

port_hold:		port_hold.o $(LIB)
	cc port_hold.o $(LDFLAGS) -o port_hold

port_hold.o:		$(INC)/sys/types.h \
			$(INC)/sys/sysmacros.h \
			$(INC)/sys/stat.h \
			$(INC)/fcntl.h \
			$(INC)/stdio.h \
			$(INC)/string.h \
			$(INC)/sys/termio.h \
			$(INC)/sys/signal.h

clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(ALL)

install:	port_hold
	cpset port_hold $(BIN) 755 bin bin
