#ident	"@(#)portcnfg.mk	35.6"
#	Copyright (c) 1988	Motorola, Inc.  
#		All Rights Reserved.
#
#	Makefile for the portconfig and openodel components

DIR1 = $(ROOT)/etc
DIR2 = $(ROOT)/usr/lbin
INC = $(ROOT)/usr/include
ADM = $(ROOT)/usr/adm/ports
LDFLAGS =
LDLIBS =
CFLAGS = -O -s -I$(INC)
STRIP = strip
PIC=m332xt mpcc sio336 vme331 vme335 z8530 m564con m147con vme136 vme140 vme141 vme143

OBJECTS =  openodel.o cpuboard.o

install: portcnfg openodel pictures cpuboard
	mv portcnfg portconfig
	cpset portconfig $(DIR1) 00544 root sys
	cpset openodel $(DIR2) 00555 bin bin
	cpset cpuboard $(DIR2) 00555 bin bin
	cpset m332xt $(ADM) 00444 root sys
	cpset mpcc $(ADM) 00444 root sys
	cpset sio336 $(ADM) 00444 root sys
	cpset vme331 $(ADM) 00444 root sys
	cpset vme335 $(ADM) 00444 root sys
	cpset z8530 $(ADM) 00444 root sys
	cpset m564con $(ADM) 00444 root sys
	cpset m147con $(ADM) 00444 root sys
	cpset vme136 $(ADM) 00444 root sys
	cpset vme140 $(ADM) 00444 root sys
	cpset vme141 $(ADM) 00444 root sys


openodel:  openodel.o
	$(CC) $(CFLAGS)  -o openodel  openodel.o  $(LDFLAGS) $(LDLIBS)

cpuboard:  cpuboard.o
	$(CC) $(CFLAGS)  -o cpuboard  cpuboard.o  $(LDFLAGS) $(LDLIBS)

pictures:  $(PIC)

$(PIC): pic.sh
	sh pic.sh

openodel.o:	 $(INC)/stdio.h $(INC)/fcntl.h $(INC)/sys/errno.h

cpuboard.o:	 $(INC)/sys/sysm68k.h

clean:
	rm -f $(OBJECTS)

clobber: clean
	rm -f portconfig openodel cpuboard $(PIC)

strip: all
	$(STRIP) openodel
