/*      Copyright (c)   1985,1987,1988  AT&T; MOTOROLA, INC.    */
#ident "@(#)symbols.h	35.1     88/08/26     "

#include        <syms.h>
#include	"systems.h"

typedef char BYTE;

#define UNDEF	000
#define ABS	001
#define TXT	002
#define DAT	003
#define BSS	004
#define INIT	005		/* .init section for shared libraries */
#define LIB	006		/* .lib section for shared libraries */
#define CMT	007		/* .comment section for time/date stamping */
#define TYPE	(UNDEF|ABS|TXT|DAT|BSS)
#define TVDEF	020
#define EXTERN	040
#if N3B
#define	FUNC	0100
#endif
#define FOUR sizeof( long )

typedef	union
	{
		char    name[ (( SYMNMLEN + FOUR ) / FOUR) * FOUR ];
		struct
		{
			long    zeroes;
			long    offset;
		} tabentry;
		long    offset[ SYMNMLEN / FOUR + 1 ];
	} name_union;

typedef struct zymbol
	{
		struct zymbol  *snext;
		name_union      _name;
		BYTE    mneflag;
		BYTE    tag;
		short   styp;
		long    maxval;
		short   sectnum;
		long    value;
#ifdef M68881
		long    value2;
		long    value3;
#endif /* M68881 */
		unsigned long   qdex;
		struct zymbol   *qnext;
	};
typedef struct zymbol symbol;
#define SYMBOLL	sizeof(symbol)

struct instruct
	{
		struct instruct *snext;
		char    name[ sizeof( name_union ) ];
		BYTE    mneflag;
		BYTE    tag;
		BYTE    val;
		BYTE    nbits;
		long    opcode;
	} ;
typedef struct instruct instr;
#define INSTR sizeof(instr);

#define INSTALL         1
#define N_INSTALL       0
#define USRNAME         1
#define MNEMON          0

typedef	union
{
	symbol  *stp;
	instr   *itp;
} upsymins;

#if FLEXNAMES
extern char     *strtab;
#define symstr(z) (z->_name.offset[0] ? z->_name.name : &strtab[z->_name.offset[1]])
#else
#define symstr(z) (z->_name.name)
#endif
