/*      Copyright (c)   1985,1987,1988  AT&T; MOTOROLA, INC.    */
#ident "@(#)symbols2.h	35.1     88/08/26     "

/*
 *	NINSTRS	= number of legal assembler instructions (from ops.out)
 *	NHASH	= the size of the hash symbol table
 *	NSYMS	= the number of symbols allowed in a user program
 */

#ifdef M68851
#define N851 68         /* total number of M68851 instructions */
#else
#define N851 0
#endif

#ifdef M68881
#define N881 215        /* total number of M68881 instructions */
#else
#define N881 0
#endif

#if defined(M68020) || defined(M68030)    /* counts pmovefd for `30 here */
#define NINSTRS 250+N881+N851   /* M68020 supports M68881 */
#else
#define	NINSTRS	166
#endif
#define NHASH   8191

#define NSYMS   4096
