#ident "@(#)bitset.h	35.1       88/08/26     "
#define Copyright (c) /* 1984 AT&T, INC. and MOTOROLA, INC. */
/*		Copyright (c) 1985 AT&T		*/
/*		All Rights Reserved		*/
/*	Copyright 1985 Motorola,1987 Inc.			*/
typedef struct {
	int   setlen; /* no of elements in the bit set */
	char *set;    /* Array of elements             */
       } SET;

#define FREESET(x) (void) free((char *)x);

#define IS_IN(i,x) (i<0 || i>=x->setlen ? bitrangeerr() : x->set[i/8]&(1<<i%8))

#define SET_BIT(i,x) if (i<0 || i>=x->setlen)	\
			(void) bitrangeerr();	\
		     else x->set[i/8] |= 1<<i%8;

#define CLR_BIT(i,x) if (i<0 || i>=x->setlen)	\
			(void) bitrangeerr();	\
		     else x->set[i/8] &= (0xff-1<<i%8);

#define SET_ALL(x)  {int i; for (i=0; i<(x->setlen+8)/8; i++) x->set[i]=0xff;}

#define CLR_ALL(x)  {int i; for (i=0; i<(x->setlen+8)/8; i++) x->set[i]=0;}
