#ident "@(#)declar.h	35.1       88/08/26     "
#ident "Copyright (c) 1984 AT&T, INC. and MOTOROLA, INC."

#define SYMTABSZ 10
#define TVOID 020000
#define CEFF (NRGS+1)
#define TRUE 1
#define FALSE 0

#include "macdefs.h"
#include "hash.h"
#include "manifest.h"
#include "symtab.h"
#include "bitset.h"

/* EXTERNAL VARIABLES (global and nonstatic) - see defin.h for definitions */

extern	int	aregstat;	
extern	int	bbcnt;		
extern	int	bbflag;		
extern	int	clseonly;	
extern	HASHTAB	constht;	
extern	BBPTR	currentbb;	
extern	SCOPE*	curscope;	
extern	int	cursymlist;	
extern	BBPTR*	dfn;	
extern	int	dregstat;	
extern	BBPTR	fgroot;	
extern	int	fpregstat;
extern	char	ftitle[];
extern	char	funcname[257];	
extern	HASHTAB	labelsht;	
extern	NODE*	lastfree;
extern	int	lcsectrl;
extern	int	lcsedbflg;
extern	int	lcseflag;	
extern	HASHTAB	lcseht;		
extern	int	lcsestat;	
extern	int	lineno;
extern	int	loopstat;	
extern	int	maxautooffset;
extern	NODE	node[];
extern	int	nodesin;	
extern	int	nodesout;	
extern	int	odebug;
extern	int	regctrl;
extern	int	regflag;
extern	SCOPE*	scoperoot;
extern	int	scopestat;	
extern	SORTED*	sortedvars;	
extern	FILE*	statsfile;
extern	int	statsflag;
extern	int	symflag;
extern	SYMENT*	symtab;	
extern	int	symtabndx;   	
extern	int	symtabsz;	
extern	int	tempstat;	
extern	int	valueno;	
extern  int     is_m68881;
extern  int     align_val;

/* EXTERNAL FUNCTIONS (global and nonstatic) */

extern	SET*	CREATESET();
extern	void	addnodetobb();
extern	int	addtemp();
extern	void	asgregvars();
extern	char*	calloc();
extern	void	cerror();
extern	void	classify();
extern	void	cleanupht();
extern	void	clse();
extern	NODE*	condit();
extern	int	constcmp();
extern	BBPTR	createbb();
extern	SORTED*	createsv();
extern	void	detectloops();
extern	void	dfncompute();
extern	void	dfns();
extern	void	dumpsymtab();
extern	void	enterblock();
extern	void	enterscope();
extern	NODE*	eread();
extern	void	exitblock();
extern	void	exitscope();
extern	SET*	findnaturalloop();
extern	int	fprintf();
extern	void	free();
extern	void	freebb();
extern	void	freebblink();
extern	void	freelcse();
extern	char	gatherfunc();
extern	int	getreg();
extern	int	gettemp();
extern	int	hcreate();
extern	void	hdestroy();
extern	ENTRY*	hsearch();
extern	void	initfunc();
extern	void	insertloop();
extern	void	lcse();
extern	int	lcsecmp();
extern	void	linearize();
extern	void	linkbbs();
extern	char*	malloc();
extern	void	optimize();
extern	void	parentlink();
extern	void	prflowgraph();
extern	int	printf();
extern	void	prtree();
extern	void	rdsymtab();
extern	char*	realloc();
extern	void	recognizebb();
extern	HNODE*	removekey();
extern	void	scopedump();
extern	int	strcmp();
extern	char*	strcpy();
extern	char*	strtok();
extern	NODE*	talloc();
extern	void	traversescope();
extern	int	typesize();
extern	void	writebb();
extern	void	writefunc();
extern	void	writestats();
extern	unsigned int	consthash();
extern	unsigned int	hashd();
extern	unsigned int	hashd();
extern	unsigned int	lcsehash();
