# @(#)install:install.mk	35.1
# BOS/BSE Installation Makefile
# Copyright 1988, Motorola, Inc.

MBFS_MOUNT=/mbfs

install all:
	@if [ ! -d $(MBFS_MOUNT)/root ];				\
	then								\
		echo "\tmkdir $(MBFS_MOUNT)/root";			\
		mkdir $(MBFS_MOUNT)/root &&				\
		chmod 777 $(MBFS_MOUNT)/root &&				\
		chgrp sys $(MBFS_MOUNT)/root &&				\
		chown root $(MBFS_MOUNT)/root;				\
	fi
	@echo "\t0<mbfs.list cpio -pdum $(MBFS_MOUNT)"
	@0<mbfs.list sed -e 's/#.*//' -e '/^[ 	]*$$/d' |		\
	{								\
		cd /;							\
		cpio -pdum $(MBFS_MOUNT);				\
	}
	cd etc; make -e -f etc.mk MBFS_MOUNT=$(MBFS_MOUNT) install
	cd dev; make -e -f dev.mk MBFS_MOUNT=$(MBFS_MOUNT) install
	cd sadmin; make -e -f sadmin.mk MBFS_MOUNT=$(MBFS_MOUNT) install
	cd libmerge; make -e -f libmerge.mk \
		INSDIR=.. MBFS_MOUNT=$(MBFS_MOUNT) install
	cd upgrades; make -e -f upgrades.mk MBFS_MOUNT=$(MBFS_MOUNT) install

clean clobber:
	cd etc; make -e -f etc.mk MBFS_MOUNT=$(MBFS_MOUNT) clobber
	cd dev; make -e -f dev.mk MBFS_MOUNT=$(MBFS_MOUNT) clobber
	cd sadmin; make -e -f sadmin.mk MBFS_MOUNT=$(MBFS_MOUNT) clobber
	cd libmerge; make -e -f libmerge.mk INSDIR=.. clobber
	cd upgrades; make -e -f upgrades.mk clobber
