#ident	"@(#)install:libmerge/group/group.h	35.1"
/* Group Stream Definitions
 * Copyright 1988, Motorola, Inc.
 */

#define GROUP_FILE	"/etc/group"

#define GROUPLINE 1024
#define MAX_MEMBERS 256

typedef struct {
	char	* group_name;
	char	* group_passwd;
	int	group_id;
	char	* group_members[ MAX_MEMBERS ];
} GROUP_T;

typedef struct {
	FILE	* grp_fp;		/* file pointer */
	char	* grp_bp;		/* buffer pointer */
	GROUP_T	* grp_tp;
} GROUP_F;				/* stream data from openDialers() */

extern GROUP_F *opengroup();
extern GROUP_T * readgroup ();
extern int writegroup (), closegroup ();
