#ident	"@(#)install:libmerge/group/wrgroup.c	35.1"
/* Write Group Stream
 * Copyright 1988, Motorola, Inc.
 */

#include <stdio.h>
#include <group.h>

int
writegroup ( group_f, group_t )
GROUP_F * group_f;
GROUP_T * group_t;
{
	char *ptr, *qtr, ** member_p;
	int need_comma;

	fprintf ( group_f -> grp_fp, "%s:%s:%d:", group_t -> group_name,
			group_t -> group_passwd, group_t -> group_id );
	if ( ferror ( group_f -> grp_fp ) )
		return ( EOF );

	need_comma = 0;
	for ( member_p = group_t -> group_members; * member_p != NULL; member_p ++ ) {
		if ( need_comma ) {
			if ( fputc ( ',', group_f -> grp_fp ) == EOF )
				return ( EOF );
		} else
			-- need_comma;

		if ( fputs ( * member_p, group_f -> grp_fp ) == EOF )
			return ( EOF );
	}
	if ( fputc ( '\n', group_f -> grp_fp ) == EOF )
		return ( EOF );

	return ( 0 );
}
