# @(#)install:sadmin/sadmin.mk	35.1
# BOS/BSE Memory-Base File-System System Administration Makefile
# Copyright 1988, Motorola, Inc.

MBFS_MOUNT=/mbfs

all:
	@for subMake in tools admin menu;				\
	do								\
		echo "\tmake -e -f $${subMake}.mk $@";			\
		cd $${subMake};						\
		if make -e -f $${subMake}.mk $@;			\
		then							\
			: Success;					\
		else							\
			exit 1;						\
		fi;							\
		cd ..;							\
	done

install: all
	@for subMake in tools admin menu;				\
	do								\
		echo "\tmake -e -f $${subMake}.mk $@";			\
		cd $${subMake};						\
		if make -e -f $${subMake}.mk 				\
			MBFS_MOUNT=$(MBFS_MOUNT) $@;			\
		then							\
			: Success;					\
		else							\
			exit 1;						\
		fi;							\
		cd ..;							\
	done

clean:
	@for subMake in tools admin menu;				\
	do								\
		echo "\tmake -e -f $${subMake}.mk $@";			\
		cd $${subMake};						\
		if make -e -f $${subMake}.mk $@;			\
		then							\
			: Success;					\
		else							\
			exit 1;						\
		fi;							\
		cd ..;							\
	done

clobber: clean
	@for subMake in tools admin menu;				\
	do								\
		echo "\tmake -e -f $${subMake}.mk $@";			\
		cd $${subMake};						\
		if make -e -f $${subMake}.mk $@;			\
		then							\
			: Success;					\
		else							\
			exit 1;						\
		fi;							\
		cd ..;							\
	done
