# @(#)install:upgrades/BS81.05/BS81.05.mk	35.1
# BS81.05 Merge Programs Makefile
# Copyright 1988, Motorola, Inc.

INCDIR=../..
CFLAGS=-O -I$(INCDIR)
LDFLAGS=-s
LIBMERGE=../../libmerge.a
TARGETS=ArchiveLib gettydefs standard
INSDIR=/tmp/BS81.05

all: $(TARGETS)

install: all
	@if [ ! -d $(INSDIR) ];						\
	then								\
		echo "\tmkdir -p $(INSDIR)";				\
		mkdir -p $(INSDIR);					\
	fi;								\
	for target in $(TARGETS);					\
	do								\
		echo "\tinstall -f $(INSDIR) -m 555"			\
			"-u root -g sys -s $${target}";			\
		install -f $(INSDIR) -m 555 				\
			-u root -g sys -s $${target};			\
	done


clean:

clobber: clean
	rm -f $(TARGETS)

ArchiveLib: ArLib.sh
	cp $? $@
	chmod +x $@

gettydefs: gettydefs.c
	cc $(CFLAGS) $? $(LIBMERGE) -o $@

standard: standard.sh
	cp $? $@
	chmod +x $@
