# @(#)install:upgrades/BS83.08/BS83.08.mk	35.5
# BS83.08 Merge Programs Makefile
# Copyright 1988, Motorola, Inc.

INCDIR=../..
CFLAGS=-O -I$(INCDIR)
LDFLAGS=-s
LIBMERGE=../../libmerge.a
TARGETS=standard inittab utmp perms ArchiveLib
INSDIR=/tmp/BS83.08

all: $(TARGETS)

install: all
	@if [ ! -d $(INSDIR) ];						\
	then								\
		echo "\tmkdir -p $(INSDIR)";				\
		mkdir -p $(INSDIR);					\
	fi;								\
	for target in $(TARGETS);					\
	do								\
		echo "\tinstall -f $(INSDIR) -m 555"			\
			"-u root -g sys -s $${target}";			\
		install -f $(INSDIR) -m 555 				\
			-u root -g sys -s $${target};			\
	done

clean:

clobber: clean
	rm -f $(TARGETS)

inittab: inittab.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

ArchiveLib: ArLib.sh
	cp $? $@
	chmod +x $@

standard: standard.sh
	cp $? $@
	chmod +x $@

utmp: utmp.c
	cc $(LDFLAGS) $(CFLAGS) -DTARGET='"/etc/utmp"' $? $(LIBMERGE) -o $@

perms: perms.sh
	cp $? $@
	chmod +x $@
