# @(#)install:upgrades/FE83.15/FE83.15.mk	35.1
# FE83.15 Merge Programs Makefile
# Copyright 1988, Motorola, Inc.

INCDIR=../..
CFLAGS=-O -I../..
LDFLAGS=-s
LIBMERGE=../../libmerge.a
TARGETS=ArchiveLib inittab standard
INSDIR=/tmp/FE83.15

all: $(TARGETS)

install: all
	@if [ ! -d $(INSDIR) ];						\
	then								\
		echo "\tmkdir -p $(INSDIR)";				\
		mkdir -p $(INSDIR);					\
	fi;								\
	for target in $(TARGETS);					\
	do								\
		echo "\tinstall -f $(INSDIR) -m 555"			\
			"-u root -g sys -s $${target}";			\
		install -f $(INSDIR) -m 555 				\
			-u root -g sys -s $${target};			\
	done

clean:

clobber: clean
	rm -f $(TARGETS)

ArchiveLib: ArLib.sh
	cp $? $@
	chmod +x $@

inittab: inittab.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

standard: standard.sh
	cp $? $@
	chmod +x $@
