#ident	"@(#)libbsd.mk	35.1"

ROOT =
CC = cc
LIBDIR = .
INC = $(ROOT)/usr/include
USRLIB = $(ROOT)/usr/lib
LIBNAME = libbsd.a
LLIB = bsd
CFLAGS=-O -I$(INC)

SRC= log.c sigs.c time.c misc.c

FILES =\
	$(LIBNAME)(log.o)\
	$(LIBNAME)(sigs.o)\
	$(LIBNAME)(time.o)\
	$(LIBNAME)(misc.o)

lib:	$(LIBNAME) 

install: lib
	cpset $(LIBNAME) $(USRLIB) 444 bin bin

uninstall:
	-rm $(USRLIB)/$(LIBNAME)

.PRECIOUS:	$(LIBNAME)

$(LIBNAME):	$(FILES)

clean:
	-rm -f *.o

clobber: clean
	-rm -f $(LIBNAME)

#### dependencies now follow
$(LIBNAME)(log.o):	$(INC)/stdio.h $(INC)/syslog.h
$(LIBNAME)(sigs.o):	$(INC)/stdio.h $(INC)/signal.h
$(LIBNAME)(time.o):	$(INC)/sys/time.h $(INC)/sys/types.h $(INC)/sys/times.h
$(LIBNAME)(misc.o):	$(INC)/string.h
