/*
 * @(#)in_makeadd.c	35.1
 *
 * Copyright (c) 1987, Morotola Microcomputer Division
 */
#ident	"$Header: in_makeadd.c 1.4 88/03/31 17:46:28 mat rel $"

#include <sys/types.h>
#include <netinet/types.h>
#include <netinet/in.h>

/*
 * Formulate an Internet address from network + host.  Used in
 * building addresses stored in the ifnet structure.
 */
struct in_addr
inet_makeaddr(net, host)
	int net, host;
{
	ulong addr;

	if (net < 128)
		addr = (net << IN_CLASSA_NSHIFT) | host;
	else if (net < 65536)
		addr = (net << IN_CLASSB_NSHIFT) | host;
	else
		addr = (net << IN_CLASSC_NSHIFT) | host;
	addr = htonl(addr);
	return (*(struct in_addr *)&addr);
}
