#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)bpp.mk	35.3"

STRIP = strip
INCRT = ..
LIBNAME = ../../$(LIBDIR)/lib.bppv2
DASHG = 
DASHO = -O
CFLAGS= -I$(INCRT) -DINKERNEL $(DASHG) $(DASHO) $(BRDEFS) -D$(CPU)
FRC =

FILES = \
		$(LIBNAME)(bp_pipe.o)	\
		$(LIBNAME)(bp_get_mpb.o)	\
		$(LIBNAME)(bp_rel_mpb.o)	\
		$(LIBNAME)(bp_regdreg.o)	\
		$(LIBNAME)(bp_windows.o)	\
		$(LIBNAME)(bp_init.o)	\
		$(LIBNAME)(bp_intr.o)	\
		$(LIBNAME)(bp_global.o)	\
		$(LIBNAME)(creat_pool.o)	\
		$(LIBNAME)(bp_global.o)	\
		$(LIBNAME)(bp_utils.o)

all:	pickup $(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

pickup:
	-@if [ "`ls *.o 2>/dev/null`" ] ; \
	then \
		echo "\t$(AR) ruv $(LIBNAME) *.o" ; \
		$(AR) ruv $(LIBNAME) *.o ; \
		echo "\trm -f *.o" ; \
		rm -f *.o  ; \
	fi

$(LIBNAME):	$(FILES)
	$(AR) ruv $(LIBNAME) *.o
	rm -f *.o

.c.a:
	$(CC) $(CFLAGS) -c -DSHIFT=0 -UDEBUG $<

clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(LIBNAME)

FRC:

#
# Header dependencies
#

#$(LIBNAME)(ci_bufmgt.o):	ci_bufmgt.c	\
#		$(INCRT)/sys/c37x/ci_driver.h \
#		$(INCRT)/sys/c37x/ci_struct.h \
#		$(INCRT)/sys/c37x/ci_const.h	\
#		$(INCRT)/sys/c37x/ci_global.h \
#		$(FRC)

$(LIBNAME)(bp_pipe.o):	bp_pipe.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_get_mpb.o):	bp_get_mpb.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_windows.o):	bp_windows.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_rel_mpb.o):	bp_rel_mpb.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_regdreg.o):	bp_regdreg.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_init.o):	bp_init.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_intr.o):	bp_intr.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_global.o):	bp_global.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(creat_pool.o):	creat_pool.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_global.o):	bp_global.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(bp_utils.o):	bp_utils.c \
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

