#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)mvme147.mk	35.1"

STRIP = strip
INCRT = ..
LIBNAME = ../../$(LIBDIR)/lib.bppv2
DASHG = 
DASHO = -O
CFLAGS= -I$(INCRT) -DINKERNEL $(DASHG) $(DASHO) $(BRDEFS) -D$(CPU)
FRC =

FILES = \
		$(LIBNAME)(bpp_local.o) \
		$(LIBNAME)(cispinit.o)

all:	pickup $(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

pickup:
	-@if [ "`ls *.o 2>/dev/null`" ] ; \
	then \
		echo "\t$(AR) ruv $(LIBNAME) *.o" ; \
		$(AR) ruv $(LIBNAME) *.o ; \
		echo "\trm -f *.o" ; \
		rm -f *.o  ; \
	fi

$(LIBNAME):	$(FILES)
	$(AR) ruv $(LIBNAME) *.o
	rm -f *.o

.c.a:
	$(CC) $(CFLAGS) -c -DSHIFT=0 -UDEBUG $<

clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(LIBNAME)

FRC:

#
# Header dependencies
#

#$(LIBNAME)(ci_bufmgt.o):	ci_bufmgt.c	\
#		$(INCRT)/sys/c37x/ci_driver.h \
#		$(INCRT)/sys/c37x/ci_struct.h \
#		$(INCRT)/sys/c37x/ci_const.h	\
#		$(INCRT)/sys/c37x/ci_global.h \
#		$(FRC)

$(LIBNAME)(bpp_local.o):	bpp_local.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bm.h	\
			$(INCRT)/sys/bppv2/ccb.h	\
			$(INCRT)/sys/bppv2/mvme147/bpp_local.h \
			$(INCRT)/sys/bppv2/mvme147/bp_ci.h \
			$(INCRT)/sys/c37x/ci_driver.h \
			$(INCRT)/sys/c37x/ci_const.h \
			$(INCRT)/sys/c37x/ci_struct.h \
			$(INCRT)/sys/c37x/ci_global.h \
			$(INCRT)/sys/osi/common/bdb.h \
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

$(LIBNAME)(cispinit.o):	cispinit.c	\
			$(INCRT)/sys/bppv2/bpptypes.h	\
			$(INCRT)/sys/bppv2/bm.h	\
			$(INCRT)/sys/bppv2/ccb.h	\
			$(INCRT)/sys/bppv2/mvme147/bpp_local.h \
			$(INCRT)/sys/bppv2/mvme147/bp_ci.h \
			$(INCRT)/sys/c37x/ci_driver.h \
			$(INCRT)/sys/c37x/ci_const.h \
			$(INCRT)/sys/c37x/ci_struct.h \
			$(INCRT)/sys/c37x/ci_global.h \
			$(INCRT)/sys/osi/common/bdb.h \
			$(INCRT)/sys/bppv2/bpp.h \
		$(FRC)

