/*	Copyright (c) 1987 Motorola Inc
	All Rights Reserved
		@(#)kern-port:io/chkparity.c	35.2
*/
/* chkparity.c
 *
 * call parity handling routines as found in
 * the parity check routines table set-up in sys/space.h
 */

#ident	"@(#)kern-port:io/chkparity.c	35.2"

#include "sys/param.h"

/* mode argument values */
#define KERNEL 0
#define USER 1

extern int (*chkpartbl[])();

int chkparity(loc, mode)
char *loc;
int mode;
{
	register int i, status, (*chkpar)();

	for (i = 0; (chkpar = chkpartbl[i]) != NULL; i++) {
		status = (*chkpar)(loc, mode);
		if (status)
			break;
	}
	return(status);
}
