#	@(#)ddefs.mk	35.1
#
#	ddefs.mk: makefile for ddefs utility and data files
#

TESTDIR = .
LDFLAGS = -s
CFLAGS = -O
OL =
ETC = $(OL)/etc
DSKDEFS = $(ETC)/dskdefs
INSE = /etc/install -f $(ETC)
OWN = bin
GRP = bin
DMODES = 0775
FMODES = 0664

all:	ddefs iddefs

ddefs:	ddefs.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(TESTDIR)/ddefs ddefs.c

iddefs:	ddefs.c
	$(CC) $(CFLAGS) $(LDFLAGS) -DDDEFSINIT -o $(TESTDIR)/iddefs ddefs.c

install: all
	-mkdir $(DSKDEFS)
	-ls dskdefs > $(TESTDIR)/ddefslist
	-while read x ;\
		do \
		echo $$x ;\
		$(TESTDIR)/iddefs -d $(DSKDEFS) -i <dskdefs/$$x ;\
		done < $(TESTDIR)/ddefslist
	-chmod $(DMODES) $(DSKDEFS)
	-chmod $(FMODES) $(DSKDEFS)/*
	-chgrp $(GRP) $(DSKDEFS) $(DSKDEFS)/*
	-chown $(OWN) $(DSKDEFS) $(DSKDEFS)/*
	$(INSE) $(TESTDIR)/ddefs

clean: 
	rm -f $(TESTDIR)/ddefs $(TESTDIR)/iddefs $(TESTDIR)/ddefslist

clobber: clean
