#	@(#)mnt.mk	35.1	created: 8/24/88

ROOT = 
UBIN = $(ROOT)/usr/bin
ETC = $(ROOT)/etc
PERMSFILE = filesys
INCLD = $(ROOT)/usr/include/mnt.h
LIB=$(ROOT)/usr/lib/libmnt.a
DEST=/usr/src/destinations
FRC= 

CFLAGS=  -s -O

RUTILS =\
	dcpy\
	fmt\
	fs\
	tt\
	chk\
	$(FRC)

REUTILS =\
	mnt\
	umnt\
	$(FRC)

UTILS =\
	real\
	$(FRC)

all:	cmds $(PERMSFILE)

cmds:	$(RUTILS) $(REUTILS) $(UTILS)

.c:	$(LIB) $(INCLD)
	cc $(DFLAGS) $(CFLAGS) -o $* $< -lmnt

$(PERMSFILE):	$(PERMSFILE).tmpl
	cp $(PERMSFILE).tmpl $(PERMSFILE)

installperms:	$(PERMSFILE)
	/etc/install -o -f $(ETC) $(PERMSFILE)
	chmod 0664 $(ETC)/$(PERMSFILE)
	chgrp bin  $(ETC)/$(PERMSFILE)
	chown bin  $(ETC)/$(PERMSFILE)

installcmds:	cmds
	for i in $(RUTILS) ;\
	do \
	    /etc/install -f $(UBIN)  $$i ;\
	    chmod 04775  $(UBIN)/$$i ;\
	    chgrp bin    $(UBIN)/$$i ;\
	    chown root   $(UBIN)/$$i ;\
	done
	for i in $(REUTILS) ;\
	do \
	    /etc/install -f $(ETC)  $$i ;\
	    chmod 04775  $(ETC)/$$i ;\
	    chgrp bin    $(ETC)/$$i ;\
	    chown root   $(ETC)/$$i ;\
	done
	for i in $(UTILS) ;\
	do \
	    /etc/install -f $(ETC)  $$i ;\
	    chmod 0775  $(ETC)/$$i ;\
	    chgrp bin   $(ETC)/$$i ;\
	    chown bin   $(ETC)/$$i ;\
	done

install:	installcmds installperms

clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(RUTILS) $(REUTILS) $(UTILS) $(PERMSFILE)
