
/*
 *	Copyright (c)  Motorola Inc.  1986,1987
 *	All rights Reserved
 */

char	sccs[] = "@(#)real.c	35.1		created: 8/24/88";

#include	<errno.h>
#include	<mnt.h>
#include	<stdio.h>

#define		USAGE	"Usage:  %s [ -r ] [ alias ] \n", argv[0]

main( argc, argv )
register int argc;
register char	*argv[];
{
	struct	usrdev  disk;		/*  Info on the requested disk.      */
	int	getperms();		/*  Function to read the PERMS_FILE  */
	register int raw = 0;		/*  If 1 return raw device */

	if ( argc != 1 )
		if ( strcmp( argv[1], "-?" )  == 0 ) {
			fprintf( stderr, USAGE );
			exit( EINVAL );
		}

	if  (  strcmp( argv[1], "-r" ) == 0  )	 raw = 1;

	if  ( argc > (2+raw) ) {
		fprintf( stderr, USAGE );
		exit( EINVAL );
	}

	if  ( argc > (1+raw)  )		/*  If device was given, use it , else use default */
		strcpy( disk.alias, argv[(1+raw)] );
	else
		strcpy( disk.alias, DEFAULT );

	if  ( getperms( &disk )  ) {
		fprintf( stderr, "Restricted device or Unknown alias\n" );
		exit( ENOENT );
	}

	strins( disk.slice, "/dev/dsk/", 0 );

	if  (  raw  )	strins( disk.slice, "r", 5 );

	printf( "%s\n",  disk.slice );
	exit ( 0 );

}
