#ident "@(#)ld:m68k/special1.c	35.1       88/08/26     "
#define Copyright (c) /* 1984 AT&T, INC. and MOTOROLA, INC. */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/


#include <stdio.h>

#include "system.h"
#include "structs.h"
#include "extrns.h"
#include "dbug.h"		/* Special macro based debugging package */



#if TRVEC
void
chktvorg(org, tvbndadr)

long	org, *tvbndadr;
{
	/*
	 * check user-supplied .tv origin for legality
	 * if illegal, side-effect tvspec.tvbndadr
	 *  and issue warning message
	 */

	DBUG_ENTER ("chktvorg");
			if( (org & 0xf) != 0 )
				yyerror("tv origin (%10.0lx) must be a multiple of 16", org);
			*tvbndadr = (org + 0xfL) & ~0xfL;

	DBUG_VOID_RETURN;
}
#endif

void
specflags(flgname, argptr)
char *flgname;
char **argptr;
{

	DBUG_ENTER ("specflags");
	/*
	 * process special flag specifications for m32ld
	 * these flags have fallen through switch of argname in ld00.c
	 */

	switch ( *flgname ) {

		default:
			yyerror("unknown flag: %s", flgname);

		}
	DBUG_VOID_RETURN;
}
