#	makefile for sledit
# 
#		Copyright (c) 1986,1987 Motorola Inc.
#		All Rights Reserved
#
#		@(#)sledit.mk	35.1
#


OL =
TESTDIR = .
ETC = $(OL)/etc
INSU = /etc/install -f $(ETC)
CFLAGS = -O 

compile all: sledit

sledit:	sledit.o screen.o
	$(CC) -o $(TESTDIR)/sledit sledit.o screen.o -lcurses

screen.o: screen.c sledit.h
	$(CC) $(CFLAGS) -c screen.c

sledit.o: sledit.h sledit.c
	$(CC) $(CFLAGS) -c sledit.c

install: all
	$(INSU) $(TESTDIR)/sledit

clean:
	-rm -f *.o

clobber: clean
	-rm -f $(TESTDIR)/sledit
