#
#	130io.s - module for I/O using 130BUG trap #15 calls
#
#
#		Copyright (c) 1986, 1987, 1988 Motorola Inc.
#		All Rights Reserved
#		@(#)130io.s	35.1
#

	set	ARG,4
#
#	putchar - print one character
#
#	putchar(c)
#
	global putchar
putchar:
	mov.l	ARG(%sp),%d0		# receive the argument
	mov.b	%d0,-(%sp)		# push
	trap	&15
	short	0x0020			# .outchr
	cmp.l	ARG(%sp),&0x0a		# if it is LF,
	beq.b	putcr			# send a CR
	rts				# return
putcr:
	mov.l	&0x0d,ARG(%sp)		# store a CR in the argument area
	bra.b	putchar			# and send it

#
#	gobug - return to 130BUG
#
#	gobug()
#
	global	gobug
gobug:	
	trap	&15			# shouldn't return
	short	0x0063
	bra.b	gobug			# but just in case

	global gobugr
gobugr:
	trap	&15			# with return
	short	0x0063
	rts

#
#
#       dskread - read disk as specified in packet
#
#       dskread(pp)     PACKET *pp;
#
	set BLKCNT,0xc			# blkcnt in packet
	global dskread
dskread:
	mov.l   ARG(%sp),%a0	# get passed packet pointer
	mov.l   %a0,-(%sp)	# push packet pointer
	clr.l   %d0		# clear return register
	trap    &15
	short   0x0010
	beq.b   readok		# return not equal
	subq.l	&1,%d0		# read error
	bra.b	readexit
readok:
	mov.w	BLKCNT(%a0),%d0	# return number of blocks xfered
readexit:
	mov.l   %d0,%a0
	rts
