#
#	scrt0.s: Standalone C RunTime startup
#
#
#		Copyright (c) 1986, 1987, 1988 Motorola Inc.
#		All Rights Reserved
#		@(#)scrt0.s	35.1
#
	data
	global	iregs
iregs:	long	0,0,0,0, 0,0,0,0, 0,0,0,0, 0,0,0,0	# initial registers

#
#
#

	text
stack:
	long	stack
	long	start

#
#	for debugging purposes
#
#	long	0,0, 0,0,0,0, 0,0,0,0
#
#
#	start IPL
#
	global	start
	global	_start
_start:
start:
	mov.l	&stack,%a7
	movm.l	&0xffff,iregs
#
#	zero uninitialized data
#
	clr.l	%d0
	mov.l	&edata,%a0
	mov.l	&end,%d1
clrlp:	clr.l	(%a0)+
	cmp.l	%a0,%d1
	ble.b	clrlp
#
#	clear all registers
#
	clr.l	%d1
	clr.l	%d2
	clr.l	%d3
	clr.l	%d4
	clr.l	%d5
	clr.l	%d6
	clr.l	%d7
	mov.l	%d7,%a0
	mov.l	%d7,%a1
	mov.l	%d7,%a2
	mov.l	%d7,%a3
	mov.l	%d7,%a4
	mov.l	%d7,%a5
	mov.l	%d7,%a6
#
#	jump to main
#
	clr.l	-(%sp)		# null argv
	clr.l	-(%sp)		# zero argc
	jsr	main		# go run program
	jsr	gobug		# go back to bug

#
#	jumpos: jump to operating system after restoring registers
#
#	jumpos(start address)
#
	global	jumpos
jumpos:	add.l	&4,%sp		# pop off unnecessary return address
	movm.l	iregs,&0x7fff	# restore all but stack pointer
	tst.l	halt
	beq.b	nohalt
	jsr	gobugr
nohalt:
	rts			# jump to operating system
