#
#	boot - boot program disk
#	
#		@(#)vmeboot.mk	35.1
#
INSDIR=/stand/m68k/boots
FILES=scrt0.o 130io.o prf.o vmeboot.o
CFLAGS=-O -c -Dm68k -DMVME130

vmeboot: $(FILES)
	ld -o vmeboot -e start ld.boot scrt0.o 130io.o prf.o vmeboot.o -lc 

scrt0.o : scrt0.s
	cc -c scrt0.s

130io.o : 130io.s
	cc -c 130io.s

vmeboot.o: vmeboot.c
	cc $(CFLAGS) vmeboot.c

prf.o: prf.c
	cc $(CFLAGS) prf.c

clean:
	rm -f $(FILES)

clobber: clean
	rm -f vmeboot

install: vmeboot
	cp vmeboot $(INSDIR)
