/*
 *                  Copyright (c) 1988 Ferranti Plc.
 *                      All Rights Reserved
 *
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF FERRANTI PLC THE COPYRIGHT 
 *                   OF WHICH VESTS IN FERRANTI PLC.
 *
 *   The copyright notice above does not evidence any actual or intended 
 *                   publication of such source code.
 *
 * This source code and the information contained herein is supplied without
 * liability for errors or ommissions and no part may be copied, re-produced, 
 * used or disclosed except as authorised by the Ferranti organisation by 
 *                contract or by other written permission.
 */

/******************************************************************************

	Rev = 4.5		Date of 'get'   = 11:10:55 1/26/89
				Date of 'delta' = 10:43:08 12/13/88

	File = scclioctl.h

******************************************************************************/

#ident "@(#)scc-common:include/local/scc/scclioctl.h Rev 4.5 10:43:08 12/13/88"

/*
 * ioctl(2) command definitions
 */

#define	SCCLIOCTL		('s'<<8)

#define SCCL_LOADFW		(SCCLIOCTL|1)
#define SCCL_FIFO		(SCCLIOCTL|2)
#define	SCCL_ADRS		(SCCLIOCTL|3)
#define	SCCL_LDINIT		(SCCLIOCTL|4)
#define	SCCL_FWINIT		(SCCLIOCTL|5)
#define	SCCL_PROMLOAD		(SCCLIOCTL|6)
#define	SCCL_SCCS		(SCCLIOCTL|7)
#define	SCCL_LONG		(SCCLIOCTL|8)
#define	SCCL_WORD		(SCCLIOCTL|9)
#define	SCCL_BYTE		(SCCLIOCTL|10)
#define	SCCL_SWRESET		(SCCLIOCTL|11)
#define	SCCL_GERROR		(SCCLIOCTL|12)
#define	SCCL_ERROR		(SCCLIOCTL|13)
#define	SCCL_LOOP		(SCCLIOCTL|14)


#define SUM_SZ	 	2
#define S9_S1_ADDR_SZ	4
#define S8_S2_ADDR_SZ	6
#define S7_S3_ADDR_SZ	8
#define CHKSUM_SZ	2

#define START_CODE 	'S'
#define MASK		0xff
#define EOR	        '\n'
#define L_ERR		-1


/* structure to hold information required by driver about the S-record */
struct load_info {
	int index;	/* Index of card */
	int offset; 	/* offset address on card */
	int data_sz;	/* size (bytes) of data in record */
	char * data;	/* pointer to data */
	short type;	/* S-record type */
};


struct	card_data {
	int index;
	unsigned char *adrs;
	unsigned long data;
};
