
/*	@(#)mnt.h	35.1	created: 8/24/88
 *
 *	Copyright (c)  Motorola Inc.  1986,1987
 *	All rights Reserved
 */

#define		ARG_CNT		20
#define		BS		512		/*  Block size */
#define		FMT		'7'		/*  The format slice */
#define		MAX_STR		1000		/*  The largest char string */
#define		PATH_SZ	 	32
#define		PG_SZ		100
#define		ROOT		0		/*  Roots login id number */
#define		SPC_TAB		" 	"	/* Space and Tab,  Seperates options in the pgm field */
#define		SYS_SZ		12

#define		PERMS_FILE	"/etc/filesys"
#define		DEFAULT		"floppy"

struct  usrdev
{
	char  slice[PATH_SZ];		/*  The real device to be accessed   */
	char  alias[PATH_SZ];		/*  Device the user asked to access  */
	char  fsize[SYS_SZ];		/*  Size of the file-system to make  */
	char  modes[SYS_SZ];		/*  if readonly = R, otherwise RW    */
	char  mnt_pt[PATH_SZ];		/*  Default mount point		     */
	char  pgm[PG_SZ];		/*  the format program to use.       */
};

struct mnt_que	{
	char	*m_dev;			/*  alias */
	char	*m_dir;			/*  directory */
	struct mnt_que	*m_next;	/*  pointer to next structure */
};

struct	mnt_que	*mnt_head;
struct	mnt_que	*mnt_tail;
