#ident	"@(#)install:libmerge/Dialers/Dialers.h	35.1"
/* Dialers Stream Definitions
 * Copyright 1988, Motorola, Inc.
 */

#ident	"@(#)uucp:sysfiles.h	1.2"
#define DIALERS		"/usr/lib/uucp/Dialers"

#ident	"@(#)uucp:callers.c	2.9"
#define DIALERSLINE	512	/* MAXLINE */

#ident	"@(#)uucp:uucp.h	2.7"
/*   Both these constants are defined for Devices files
 *   but also apply to Dialers files
 */
#define D_TYPE 0
#define D_MAX	50	/* max number of fields in Devices file line */

/*   OpenDialers () returns a pointer to this structure;
 *   the buffer is used internally and should not be used
 *   arbitrarily.
 */
typedef struct {
	FILE	*dial_fp;		/* file pointer */
	char	*dial_bp;		/* buffer pointer */
} DIALERS_T;				/* stream data from openDialers() */

extern DIALERS_T *openDialers();
extern int readDialers();
extern int closeDialers();
