#ident	"@(#)install:libmerge/gettydefs/opgttydefs.c	35.1"
/* Open Gettydefs Stream
 * Copyright 1988, Motorola, Inc.
 */


#include <stdio.h>
#include <sys/types.h>
#include <termio.h>
#include <gettydefs.h>

extern char *malloc();

GETTYDEFS_F *
opengettydefs ( filename, type )
char *filename, *type;
{
	char *buffer_p;
	GETTYDEFS_F *gettydefs_f;
	FILE *file_p;

	file_p = fopen ( filename, type );
	if ( file_p == NULL )
		return ( NULL );

	buffer_p = malloc ( sizeof( GETTYDEFS_F ) + ( GETTY_MAXLINE + 1 ) +
			( MAXIDLENGTH + 1 ) + ( MAXMESSAGE + 1 ) +
			( MAXIDLENGTH + 1 ) + ( sizeof ( GETTYDEFS_T ) ) );
	if ( buffer_p == NULL )
		return ( NULL );

	gettydefs_f = ( GETTYDEFS_F * ) buffer_p;

	gettydefs_f -> getty_fp = file_p;
	gettydefs_f -> getty_bp = buffer_p + sizeof ( GETTYDEFS_F );
	gettydefs_f -> getty_d_id = gettydefs_f -> getty_bp + ( GETTY_MAXLINE + 1 );
	gettydefs_f -> getty_d_message = gettydefs_f -> getty_d_id + ( MAXIDLENGTH + 1 );
	gettydefs_f -> getty_d_nextid =  gettydefs_f -> getty_d_message + ( MAXMESSAGE + 1 );
	gettydefs_f -> getty_gp = ( GETTYDEFS_T * ) ( gettydefs_f -> getty_d_nextid + ( MAXIDLENGTH + 1 ) );

	return ( gettydefs_f );
}
