#ident	"@(#)install:libmerge/group/rdgroup.c	35.1"
/* Read Group Stream
 * Copyright 1988, Motorola, Inc.
 */

#include <stdio.h>
#include <group.h>
#include <ctype.h>
#include <string.h>
#include <errno.h>

GROUP_T *
readgroup ( group_f )
GROUP_F *group_f;
{
	char *ptr, *qtr, ** member_p;
	int i;
	extern long strtol ();

	ptr = fgets ( group_f -> grp_bp, GROUPLINE, group_f -> grp_fp );
	if ( ptr == NULL )
		return ( NULL );

	i = strlen ( ptr ) - 1;
	if ( * ( ptr + i ) != '\n' ) {
		errno = EINVAL;
		return ( NULL );
	}
	* ( ptr + i ) = '\0';

	group_f -> grp_tp -> group_name = ptr;
	ptr = strchr ( ptr, ':' );
	if ( ptr == NULL ) {
		errno = EINVAL;
		return ( NULL );
	}
	* ptr ++ = '\0';

	group_f -> grp_tp -> group_passwd = ptr;
	ptr = strchr ( ptr, ':' );
	if ( ptr == NULL ) {
		errno = EINVAL;
		return ( NULL );
	}
	* ptr ++ = '\0';

	group_f -> grp_tp -> group_id = ( int ) strtol ( ptr, & qtr, 10 );
	if ( ( ptr == qtr ) || ( * qtr != ':' ) ) {
		errno = EINVAL;
		return ( NULL );
	}
	ptr = qtr + 1;

	member_p = group_f -> grp_tp -> group_members;
	if ( * ptr != '\0' )
		for ( ; ; ) {
			* member_p ++ = ptr;
			ptr = strchr ( ptr, ',' );
			if ( ptr == NULL )
				break;
			* ptr ++ = '\0';
		}
	* member_p = NULL;
	return ( group_f -> grp_tp );
}
