#ident	"@(#)install:libmerge/inittab/opinittab.c	35.1"
/* Open Inittab Stream
 * Copyright 1988, Motorola, Inc.
 */

#include <stdio.h>
#include <inittab.h>

extern char *malloc();

INITTAB_F *
openinittab ( filename, type )
char *filename, *type;
{
	char *buffer_p;
	INITTAB_F *inittab_f;
	FILE *file_p;

	file_p = fopen ( filename, type );
	if ( file_p == NULL )
		return ( NULL );

	buffer_p = malloc ( sizeof( INITTAB_F ) + INITTAB_MAXCMDL + sizeof ( INITTAB_T ) );
	if ( buffer_p == NULL )
		return ( NULL );

	inittab_f = ( INITTAB_F * ) buffer_p;

	inittab_f -> init_fp = file_p;
	buffer_p += sizeof ( INITTAB_F );
	inittab_f -> init_shcmd = buffer_p;
	buffer_p += INITTAB_MAXCMDL;
	inittab_f -> init_cmd = ( INITTAB_T * ) buffer_p;

	return ( inittab_f );
}
