# @(#)install:libmerge/libmerge.mk	35.1
# Libmerge Makefile
# Merge Routines For User Modifiable Files
# Copyright 1988, Motorola, Inc.

INSDIR=..

all:
	@isSuccessful=true;						\
	for merge in *;							\
	do								\
		if [ -d $${merge} ] &&					\
		   [ -f $${merge}/$${merge}.mk ];			\
		then							\
			echo "\tmake -f $${merge}.mk $@";		\
			cd $${merge};					\
			if make -f $${merge}.mk INSDIR=../$(INSDIR) $@;	\
			then						\
				: Success;				\
			else						\
				isSuccessful=false;			\
			fi;						\
			cd ..;						\
		fi;							\
	done;								\
	$${isSuccessful}

install: all
	@isSuccessful=true;						\
	for merge in *;							\
	do								\
		if [ -d $${merge} ] &&					\
		   [ -f $${merge}/$${merge}.mk ];			\
		then							\
			echo "\tmake -f $${merge}.mk $@";		\
			cd $${merge};					\
			if make -f $${merge}.mk INSDIR=../$(INSDIR) $@;	\
			then						\
				: Success;				\
			else						\
				isSuccessful=false;			\
			fi;						\
			cd ..;						\
		fi;							\
	done;								\
	$${isSuccessful}
	install -f $(INSDIR) -m 444 -g bin -u bin -s libmerge.a

clean:
	@for merge in *;						\
	do								\
		if [ -d $${merge} ] &&					\
		   [ -f $${merge}/$${merge}.mk ];			\
		then							\
			echo "\tmake -f $${merge}.mk $@";		\
			cd $${merge};					\
			make -f $${merge}.mk INSDIR=../$(INSDIR) $@;	\
			cd ..;						\
		fi;							\
	done
	rm -f libmerge.a

clobber: clean
	@for merge in *;						\
	do								\
		if [ -d $${merge} ] &&					\
		   [ -f $${merge}/$${merge}.mk ];			\
		then							\
			echo "\tmake -f $${merge}.mk $@";		\
			cd $${merge};					\
			make -f $${merge}.mk INSDIR=../$(INSDIR) $@;	\
			cd ..;						\
		fi;							\
	done
	rm -f $(INSDIR)/libmerge.a
