# @(#)install:upgrades/BS82.11/BS82.11.mk	35.1
# BS82.11 Merge Programs Makefile
# Copyright 1988, Motorola, Inc.

INCDIR=../..
CFLAGS=-O -I$(INCDIR)
LDFLAGS=-s
LIBMERGE=../../libmerge.a
TARGETS=standard
INSDIR=/tmp/BS82.11

all: $(TARGETS)

install: all
	@if [ ! -d $(INSDIR) ];						\
	then								\
		echo "\tmkdir -p $(INSDIR)";				\
		mkdir -p $(INSDIR);					\
	fi;								\
	for target in $(TARGETS);					\
	do								\
		echo "\tinstall -f $(INSDIR) -m 555"			\
			"-u root -g sys -s $${target}";			\
		install -f $(INSDIR) -m 555 				\
			-u root -g sys -s $${target};			\
	done

clean:

clobber: clean
	rm -f $(TARGETS)

standard: standard.sh
	cp $? $@
	chmod +x $@
