# @(#)install:upgrades/FE83.10/FE83.10.mk	35.2
# FE83.10 Merge Programs Makefile
# Copyright 1988, Motorola, Inc.

INCDIR=../..
CFLAGS=	-O -I$(INCDIR)
LDFLAGS=-s
LIBMERGE=../../libmerge.a
TARGETS=Dialers gettydefs passwd group inittab standard
INSDIR=/tmp/FE83.10

all: $(TARGETS)

install: all
	@if [ ! -d $(INSDIR) ];						\
	then								\
		echo "\tmkdir -p $(INSDIR)";				\
		mkdir -p $(INSDIR);					\
	fi;								\
	for target in $(TARGETS);					\
	do								\
		echo "\tinstall -f $(INSDIR) -m 555"			\
			"-u root -g sys -s $${target}";			\
		install -f $(INSDIR) -m 555 				\
			-u root -g sys -s $${target};			\
	done

clean:

clobber: clean
	rm -f $(TARGETS)

Dialers: Dialers.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

gettydefs: gettydefs.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

group: group.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

inittab: inittab.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

passwd: passwd.c
	cc $(LDFLAGS) $(CFLAGS) $? $(LIBMERGE) -o $@

standard: standard.sh
	cp $? $@
	chmod +x $@
