#include	<stdio.h>
#include	<syslog.h>

#ident	"@(#)log.c	35.2"
/*
 * The following routines emulate the logging facility used by BSD
 * inetd(). They currently print the messages to the system console.
 */
static char	*Strid = NULL;
static FILE	*LogFP = NULL;

openlog(id, opt, fac)
char	*id;
{
	Strid = id;
	LogFP = fopen("/usr/adm/syslog", "a");
}

syslog(pri, mess, a,b,c,d,e,f,g)
char	*mess;
{
	register char	*s, *d;
	static char	mbuf[256];
	extern int	errno;
	extern char	*sys_errlist[];

	if ( Strid ) {
		fprintf(LogFP, "%s: ", Strid);
	}

	/* copy string into buffer replacing %m with error message */
	if (mess) {
		/* first copy id string if one exists */
		for (s=mess, d=mbuf; *s; s++, d++) {
			if (*s == '%' && *(s+1) == 'm') {
				s++;
				strcpy(d, sys_errlist[errno]);
				d += strlen(sys_errlist[errno]) - 1;
				if ( *(s+1) != NULL ) {
					*++d = ':' ; *++d = ' ';
				}
			}
			else {
				*d = *s;
			}
		}
		/*
		 * Check to see if already newline terminated. If not
		 * do so.
		 */
		if ( *(d-1) != '\n' ) {
			*d++ = '\n';
			*d = NULL;
		}
	}

	fprintf(LogFP, mbuf, a,b,c,d,e,f,g);
	fflush(LogFP);
}

closelog()
{
	return(fclose(LogFP));
}

setlogmask(pri)
{
	return(0);
}
