#ident	"@(#)time.c	35.1"
#include	<sys/time.h>
#include	<sys/types.h>
#include	<sys/times.h>

/*
 * BSD gettime of day
 */
gettimeofday(t,z)
struct timeval  *t;
struct timezone *z;
{
	struct tms tms;
	long lbolt;                 /* tick timer from kernel */
	extern long time();
	extern long times();

	t->tv_sec = time((long *)0);
	if((lbolt = times(&tms)) == -1) {
		return(-1);
	}
	t->tv_usec = (lbolt % 60) * 1000000 / 60;
	if ( z ) {
		z->tz_minuteswest = 0;		/* unsupported for now */
		z->tz_dsttime = 0;		/* unsupported for now */
	}
	return(t->tv_sec ? 0 : -1);
}
