#	Copyright (c) 1987 Motorola Inc
#	All Rights Reserved
#		@(#)libcs.mk	35.1
#
ROOT=
LIB=		$(ROOT)/usr/lib
BIN=		$(ROOT)/usr/bin
CFLAGS=		-O -DISP
TARGETS=	libcs.a
OBJECTS=	csinit.o cstrans.o
ALL=		$(TARGETS) $(OBJECTS)

.c.a:
	$(CC) -c $(CFLAGS) $<
	chown bin $*.o
	chgrp bin $*.o
	$(AR) $(ARFLAGS) $@ $*.o
	rm -f $*.o

libcs.a:		libcs.a(csinit.o) libcs.a(cstrans.o)

libcs.a(csinit.o):

libcs.a(cstrans.o):

clean:
	rm -f $(OBJECTS)

clobber:
	rm -f $(ALL)

install:	libcs.a
	cpset libcs.a $(LIB) 644 bin bin
