/*
 * @(#)bcmp.c	35.1
 *
 * Copyright (c) 1987, Motorola Microcomputer Division
 * Author    (a) 1987, Damon Anton Permezel
 *
 * bcmp - byte comparison
 *
 * Input:
 *	b1, b2		-	^ to 2 byte strings
 *	len		-	length of these 2 byte strings
 *
 * Returns:
 *	0	b1, b2 identical
 *	non zero otherwise
 */
bcmp(b1, b2, len)
register char *b1, *b2;
register len; {

	while (len && *b1++ == *b2++)
		--len;

	return len;
}
