/*
 * @(#)gethostn.c	35.1
 *
 * Copyright (c) 1987, Motorola Microcomputer Division
 * Author    (a) 1987, Damon Anton Permezel
 *
 * gethostname -	provide BSD interface to uname
 */
#include <sys/utsname.h>

gethostname(buf, len)
char *buf; {
	static char once;
	static struct utsname host;

	if (!once) {
		++once;
		uname(&host);
	}

	strncpy(buf, host.nodename, len);
}
