#	@(#)libmnt.mk	35.1	created: 8/24/88

ROOT = /
LIBNAME = $(ROOT)/usr/lib/libmnt.a
INCRT = $(ROOT)/usr/include
FRC = 

CFLAGS =  -O 

FILES =\
	$(LIBNAME)(ckmode.o)\
	$(LIBNAME)(getnum.o)\
	$(LIBNAME)(getperms.o)\
	$(LIBNAME)(strins.o)\
	$(FRC)

.PRECIOUS:	$(LIBNAME)

$(LIBNAME):	$(FILES)


.c.a:
	$(CC) $(DFLAGS) -c $(CFLAGS) $<
	chmod 664 $*.o
	chgrp bin $*.o
	chown bin $*.o
	ar rv $@ $*.o
	-rm -f $*.o

$(LIBNAME)(ckmode.o): ckmode.c\
	$(INCRT)/ctype.h\
	$(INCRT)/mnt.h\
	$(INCRT)/stdio.h\
	$(FRC)
$(LIBNAME)(getnum.o): getnum.c\
	$(INCRT)/mnt.h\
	$(INCRT)/stdio.h\
	$(FRC)
$(LIBNAME)(getperms.o): getperms.c\
	$(INCRT)/mnt.h\
	$(INCRT)/stdio.h\
	$(FRC)
$(LIBNAME)(strins.o): strins.c\
	$(INCRT)/mnt.h\
	$(INCRT)/stdio.h\
	$(FRC)
FRC:

install:
	-rm -f $(LIBNAME)
	$(MAKE) -f libmnt.mk
	chmod 0664 $(LIBNAME)
	chgrp bin $(LIBNAME)
	chown bin $(LIBNAME)

clean:
	-rm -f *.o

clobber:	clean
