static char SysVNFSID[] = "@(#)gethostnm.c	35.1";
#include <sys/utsname.h>
#include <stdio.h>

#define HOSTFILE	"/etc/hostname"

gethostname(name, namelen)
	char *name;
	int namelen;
{
	FILE *fp;
	char *cp, *strchr();
	int status;
	struct utsname utsname;

	/*
	 * First, try to get the hostname out of a file.  If this fails,
	 * then use the nodename as stored as part of the utsname.
	 */
	if ((fp = fopen(HOSTFILE, "r")) != NULL) {
		if (fgets(name, namelen, fp) != NULL) {
			if ((cp = strchr(name, '\n')) != NULL)
				*cp = '\0';
			fclose(fp);
			return(0);
		}
		fclose(fp);
	}

	status = uname(&utsname);
	if (status == 0)
		strncpy(name, utsname.nodename, sizeof(utsname.nodename));

	return(status);
}

sethostname(name, namelen)
	char *name;
	int namelen;
{
	FILE *fp;

	if ((fp = fopen(HOSTFILE, "w")) == NULL)
		return(-1);
	if (fprintf(fp, "%*.*s\n", namelen, namelen, name) != namelen + 1) {
		fclose(fp);
		return(-1);
	}
	fclose(fp);
	return(0);
}
