#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)librpcsvc.mk	35.1"
# RPC service library (librpcsvc.a) makefile

CC = cc
AR = ar
RM=/bin/rm
STRIP = strip
MAKE=make
CFLAGS = -O
INS = install
LIB=$(ROOT)/usr/lib
LIBP=$(ROOT)/usr/lib/libp
VARIANT = rpcsvc
LIBNAME = lib$(VARIANT).a


#OBJ =	$(LIBNAME)(etherxdr.o) \
#	$(LIBNAME)(mountxdr.o) \
#	$(LIBNAME)(rquotaxdr.o) \
#	$(LIBNAME)(rstatxdr.o) \
#	$(LIBNAME)(rusersxdr.o) \
#	$(LIBNAME)(rwallxdr.o) \
#	$(LIBNAME)(sprayxdr.o) \
#	$(LIBNAME)(util.o) \
#	$(LIBNAME)(yppsswdxdr.o)
OBJ =	$(LIBNAME)(etherxdr.o) \
	$(LIBNAME)(mountxdr.o) \
	$(LIBNAME)(rwallxdr.o) \
	$(LIBNAME)(sprayxdr.o) \
	$(LIBNAME)(util.o) \
	$(LIBNAME)(yppsswdxdr.o)

.c.o:;

all: $(LIBNAME) profiledlib

$(LIBNAME):	$(OBJ)
		$(CC) -c $(CFLAGS) $(?:.o=.c)
		$(AR) r $(LIBNAME) $?
		$(RM) $?

.c.a:;

profiledlib:
	$(MAKE) -f librpcsvc.mk -e libp.$(LIBNAME) \
	LIBNAME=libp.$(LIBNAME) CFLAGS="-p $(CFLAGS)"

install: all
	cp $(LIBNAME) $(LIB)/$(LIBNAME)
	cp libp.$(LIBNAME) $(LIBP)/$(LIBNAME)
clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(LIBNAME) libp.$(LIBNAME)
