# Motorola M68020 interrupt/trap handler

	text
m250int:	global	m250int	# vector address 100
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m250:	jsr	m250intr
	add.l	&4,%sp
	bra	intret

x681int:	global	x681int	# vector address 104
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%x681:	jsr	x681intr
	add.l	&4,%sp
	bra	intret

z530int:	global	z530int	# vector address 10c
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%z530:	jsr	z530intr
	add.l	&4,%sp
	bra	intret

m564int:	global	m564int	# vector address 110
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m564:	jsr	m564intr
	add.l	&4,%sp
	bra	intret

l147int:	global	l147int	# vector address 11c
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%l147:	jsr	l147intr
	add.l	&4,%sp
	bra	intret

m2501int:	global	m2501int	# vector address 124
	movm.l	&0xc0c0,-(%sp)
	mov.l	&14,%d0
	mov.l	%d0,-(%sp)
	bra	L%m250

m2502int:	global	m2502int	# vector address 128
	movm.l	&0xc0c0,-(%sp)
	mov.l	&28,%d0
	mov.l	%d0,-(%sp)
	bra	L%m250

z5301int:	global	z5301int	# vector address 130
	movm.l	&0xc0c0,-(%sp)
	mov.l	&2,%d0
	mov.l	%d0,-(%sp)
	bra	L%z530

t147int:	global	t147int	# vector address 134
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%t147:	jsr	t147intr
	add.l	&4,%sp
	bra	intret

d147int:	global	d147int	# vector address 138
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%d147:	jsr	d147intr
	add.l	&4,%sp
	bra	intret

m2503int:	global	m2503int	# vector address 13c
	movm.l	&0xc0c0,-(%sp)
	mov.l	&42,%d0
	mov.l	%d0,-(%sp)
	bra	L%m250

portint:	global	portint	# vector address 17c
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%port:	jsr	portintr
	add.l	&4,%sp
	bra	intret

sccint:	global	sccint	# vector address 180
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%scc:	jsr	sccintr
	add.l	&4,%sp
	bra	intret

scc1int:	global	scc1int	# vector address 184
	movm.l	&0xc0c0,-(%sp)
	mov.l	&16,%d0
	mov.l	%d0,-(%sp)
	bra	L%scc

mfp3int:	global	mfp3int	# vector address 1a4
	movm.l	&0xc0c0,-(%sp)
	mov.l	&3,%d0
	mov.l	%d0,-(%sp)
	bra	L%mfp

mfp2int:	global	mfp2int	# vector address 1a8
	movm.l	&0xc0c0,-(%sp)
	mov.l	&2,%d0
	mov.l	%d0,-(%sp)
	bra	L%mfp

mfp1int:	global	mfp1int	# vector address 1ac
	movm.l	&0xc0c0,-(%sp)
	mov.l	&1,%d0
	mov.l	%d0,-(%sp)
	bra	L%mfp

mfpint:	global	mfpint	# vector address 1b0
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%mfp:	jsr	mfpintr
	add.l	&4,%sp
	bra	intret

d327int:	global	d327int	# vector address 280
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%d327:	jsr	d327intr
	add.l	&4,%sp
	bra	intret

d3271int:	global	d3271int	# vector address 284
	movm.l	&0xc0c0,-(%sp)
	mov.l	&1,%d0
	mov.l	%d0,-(%sp)
	bra	L%d327

t327int:	global	t327int	# vector address 288
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%t327:	jsr	t327intr
	add.l	&4,%sp
	bra	intret

t3271int:	global	t3271int	# vector address 28c
	movm.l	&0xc0c0,-(%sp)
	mov.l	&1,%d0
	mov.l	%d0,-(%sp)
	bra	L%t327

m323int:	global	m323int	# vector address 324
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m323:	jsr	m323intr
	add.l	&4,%sp
	bra	intret

m3211int:	global	m3211int	# vector address 380
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0x80,-(%sp)
	bra	L%m321

m321int:	global	m321int	# vector address 384
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m321:	jsr	m321intr
	add.l	&4,%sp
	bra	intret

m3501int:	global	m3501int	# vector address 3c8
	movm.l	&0xc0c0,-(%sp)
	mov.l	&1,%d0
	mov.l	%d0,-(%sp)
	bra	L%m350

m350int:	global	m350int	# vector address 3cc
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m350:	jsr	m350intr
	add.l	&4,%sp
	bra	intret

m355int:	global	m355int	# vector address 3d4
	movm.l	&0xc0c0,-(%sp)
	jsr	m355intr
	bra	intret

m3601int:	global	m3601int	# vector address 3dc
	movm.l	&0xc0c0,-(%sp)
	mov.l	&32,%d0
	mov.l	%d0,-(%sp)
	bra	L%m360

m360int:	global	m360int	# vector address 3e4
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m360:	jsr	m360intr
	add.l	&4,%sp
	bra	intret

m3201int:	global	m3201int	# vector address 3f0
	movm.l	&0xc0c0,-(%sp)
	mov.l	&32,%d0
	mov.l	%d0,-(%sp)
	bra	L%m320

m320int:	global	m320int	# vector address 3f4
	movm.l	&0xc0c0,-(%sp)
	mov.l	&0,%d0
	mov.l	%d0,-(%sp)
L%m320:	jsr	m320intr
	add.l	&4,%sp
	bra	intret

